package entity

import (
	"time"
)

type ExamPao struct {
	TeamName string `json:"teamName"` // 队伍名字
}

type ExamPo struct {
	Id              int       `json:"id" db:"id"` // 自增id
	TeamName        string    `json:"teamName" db:"team_name"`
	Topic           string    `json:"topic" db:"topic"`
	BeginTime       time.Time `json:"beginTime" db:"begin_time"`
	EndTime         time.Time `json:"endTime" db:"end_time"`
	ScoreOnline     float64   `json:"scoreOnline" db:"score_online"`
	ScoreOffline    float64   `json:"scoreOffline" db:"score_offline"`
	ScoreFinal      float64   `json:"scoreFinal" db:"score_final"`
	Details         string    `json:"details" db:"details"`
	ScoreReportPath string    `json:"ScoreReportPath" db:"score_report_path"`
}

type ExamVo struct {
	Id              int     `json:"id" ` // 自增id
	TeamName        string  `json:"teamName"`
	Topic           string  `json:"topic" `
	BeginTime       string  `json:"beginTime" `
	EndTime         string  `json:"endTime"`
	ScoreOnline     float64 `json:"scoreOnline" `
	ScoreOffline    float64 `json:"scoreOffline" `
	ScoreFinal      float64 `json:"scoreFinal"`
	Details         string  `json:"details" `
	ScoreReportPath string  `json:"ScoreReportPath" `
}

type ExamPagePao struct {
	CurrentPage int    `json:"currentPage"`
	PageSize    int    `json:"pageSize"`
	TeamName    string `json:"teamName"` // 队伍名字
	Topic       string `json:"topic"`    // 赛题
}
type ExamReportPao struct {
	Id int `json:"id"`
}
